<?php session_start(); /* Starts the session */

if(!isset($_SESSION['UserData']['Username'])){
	header("location:login.php");
	exit;
}
?>

<?php
$msg = '';
$flag = false;
try {
	if (isset($_POST['url']))
	{
		$url = $_POST['url'];
		$referer = 'YOUR WEBSITE URL';
		$apiKey = "YOUR API";
		$post_data = json_encode( array( 'longUrl'=>$url ) );
		$ch= curl_init();
		$arr = array();
		array_push($arr, 'Content-Type: application/json; charset=utf-8');
		curl_setopt($ch, CURLOPT_HTTPHEADER, $arr);
		curl_setopt($ch, CURLOPT_URL,"https://www.googleapis.com/urlshortener/v1/url?key=".$apiKey);
		curl_setopt($ch, CURLOPT_REFERER, $referer);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		// we are doing a POST request
		curl_setopt($ch, CURLOPT_POST, 1);
		// adding the post variables to the request
		curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
		$output = curl_exec($ch);
		
		if(curl_errno($ch))
		{
		    throw new Exception(curl_error($ch));
		}
		$short_url = json_decode($output);
		if(isset($short_url->error)){
			throw new Exception($short_url->error->message);
		}
		$msg = $short_url->id;
		$flag = true;
		curl_close($ch);
		
	}	
} catch (Exception $e) {
	$msg = $e->getMessage();
	$flag = true;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>

<!-- meta character set -->
<meta charset="utf-8">

<!-- Always force latest IE rendering engine or request Chrome Frame -->
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

<!-- Mobile Specific Meta -->
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">

<title>Mskian Google URL Shortener</title>
<meta name="Description" content="Mskian Google URL Shortener.">
<?php $current_page = "https://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
 echo '<link rel="canonical" href="'.$current_page.'"/>'; ?>

<!-- CSS and Fonts -->
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
<link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Lato:300,400,300italic,400italic' rel='stylesheet' type='text/css'>
<link href="login.css" rel="stylesheet">
<link href="form.css" rel="stylesheet">


<style>
.veer{padding:3px;padding-left:10px;background-image:-webkit-linear-gradient(45deg,rgba(255,255,255,.2) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.2) 50%,rgba(255,255,255,.2) 75%,transparent 75%,transparent);background-color:#03A9F4;border-radius:9px;box-shadow:2px 2px 2px;border:#000 1px solid;font:normal .9em "comic sans ms",Courier,"Times New Roman",Times,serif;font-size:16px;line-height:25px;color:purple}
</style>

<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.js"></script>

</head>
<body>

	
<!-- Top content -->   	
<div class="container">
<div class="row">
<div class="col-sm-8 col-sm-offset-2 text">
<h1>Welcome</h1>
</div>
</div>
</div>
<br />
	
<div class="container">
<div class="row">
<div class="col-lg-6 col-lg-offset-3 centered">
<h2 span class="veer">Mskian Google URL Shortener</h2>
</div>
</div>
<br />
		
<div class="row">
<div class="col-lg-6 col-lg-offset-3 centered">
<div class="form-bottom">
<form method="post" class="login-form">
<div class="form-group">
<label>Enter your URL [ Format (http://www or non www.example.com) ]</label>
<br />
<input type="text" required id="url" name="url" class="form-username form-control" placeholder="Enter your Url" />
<span class="help-block has-error" id="url_error"></span>
</div>
<div class="form-group">
<button type="submit" value="Get Short URL" id="short_url_btn" data-loading-text="Getting Short URL..." class="btn">Get Short URL</button>
</div>
</form>
</div>
</div>
</div>									
</div>
<br />

<div class="container">		
<div class="row">
<div class="col-lg-6 col-lg-offset-3 centered">
<div class="text-center well">     	
Your Short URL is - <?php echo $msg; ?>       
</div>
</div>
</div>
</div>
<br />

<div class="container">		
<div class="row">
<div class="col-lg-6 col-lg-offset-3 centered">
<a href="logout.php" class="btn btn-info"><i class="fa fa-paper-plane"></i> Logout</a>
</div>
</div>
</div>
<br /> 

		
<!-- JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<script>
			$(document).ready(function(){
				$('#short_url_btn').on('click', function(){
					//
					
					if(!do_validation()){
						console.log(do_validation());
						return false;
					}else{
						$('#short_url_btn').button('loading');
					}
					
					
					
				});
				
			});
	
			var do_validation = function(){
				var error = 0;
				url = $.trim( $('#url').val() );
				if(url == '' ){
					$msg = 'Please enter URL';
					error++;
				}else if( ! isUrlValid(url) ){
					$msg = 'Please enter valid URL';
					error++;
				}
				
				console.log(error);
				
				if(error > 0){
					$('#url_error').html($msg);
					return false;
				}else{
					$('#url_error').html('');
					return true;
				} 
			}
	
	
			function isUrlValid(url) {
			    return /^(https?|s?ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(url);
			}
						
		</script>
	
<?php if($flag){ ?>
		<script>
			$(document).ready(function(){
				$('#shortUrlModal').modal('show');
			});
		</script>

<?php } ?>
			
</body>
</html>